package com.aucma.production.service;

import com.aucma.production.domain.AndonRule;

import java.util.List;

/**
 * 安灯规则配置Service接口
 * 
 * @author Yinq
 * @date 2025-10-28
 */
public interface IAndonRuleService 
{
    /**
     * 查询安灯规则配置
     * 
     * @param ruleId 安灯规则配置主键
     * @return 安灯规则配置
     */
    public AndonRule selectAndonRuleByRuleId(Long ruleId);

    /**
     * 查询安灯规则配置列表
     * 
     * @param andonRule 安灯规则配置
     * @return 安灯规则配置集合
     */
    public List<AndonRule> selectAndonRuleList(AndonRule andonRule);

    /**
     * 新增安灯规则配置
     * 
     * @param andonRule 安灯规则配置
     * @return 结果
     */
    public int insertAndonRule(AndonRule andonRule);

    /**
     * 修改安灯规则配置
     * 
     * @param andonRule 安灯规则配置
     * @return 结果
     */
    public int updateAndonRule(AndonRule andonRule);

    /**
     * 批量删除安灯规则配置
     * 
     * @param ruleIds 需要删除的安灯规则配置主键集合
     * @return 结果
     */
    public int deleteAndonRuleByRuleIds(Long[] ruleIds);

    /**
     * 删除安灯规则配置信息
     * 
     * @param ruleId 安灯规则配置主键
     * @return 结果
     */
    public int deleteAndonRuleByRuleId(Long ruleId);
}
